VSCNPRINTF(9)

NAME
vscnprintf - Format a string and place it in a buffer

SYNOPSIS

int vscnprintf (char * buf, size_t size, const char * fmt, va_list args);

ARGUMENTS

buf The buffer to place the result into

size
    The size of the buffer, including the trailing null space

fmt The format string to use

args
    Arguments for the format string

DESCRIPTION

The return value is the number of characters which have been written into the buf not including the trailing '\0'. If size is <= 0 the function returns 0.

Call this function if you are already dealing with a va_list. You probably want scnprintf instead.